> ## Documentation Index
> Fetch the complete documentation index at: https://developers.leadwaycrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Record

> Create a Custom Object Record. Supported Objects business and custom objects. Documentation Link - https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-376296

Create a Custom Object Record. Supported Objects business and custom objects. Documentation Link - [https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-376296](https://doc.clickup.com/8631005/d/h/87cpx-277156/93bf0c2e23177b0/87cpx-376296)

```http theme={null}
POST https://services.leadconnectorhq.com/objects/{schemaKey}/records
```

## Autorización

<ParamField header="Authorization" type="string" required>
  Bearer token generado desde el portal Leadway. Ver [Autenticación](/authentication).
</ParamField>

<ParamField header="Version" type="string" required default="2021-07-28">
  Versión de la API.
</ParamField>

## Path parameters

<ParamField path="schemaKey" type="string" required default="custom_objects.pet or business.email (for company's email)">
  The key of the Custom Object / Standard Object Schema. For custom objects, the key must include the “custom\_objects.” prefix, while standard objects use their respective object keys. This information is available on the Custom Objects Details page under Settings.
</ParamField>

## Body

## Respuestas

<Accordion title="201 - Successful response">
  <ResponseField name="record" type="object">
    <Expandable title="propiedades">
      <ResponseField name="id" type="string" required default="661c06b4ffde146bdb469442">
        id of the record
      </ResponseField>

      <ResponseField name="owner" type="string[]" required>
        Owner (User's id). Limited to 1 for now. Only Supported with custom objects
      </ResponseField>

      <ResponseField name="followers" type="string[]" required>
        Follower (User's ids). Limited to 10 for now
      </ResponseField>

      <ResponseField name="properties" type="string" required>
        Properties of the record
      </ResponseField>

      <ResponseField name="dateAdded" type="string" required>
        Date and time when the object was added
      </ResponseField>

      <ResponseField name="dateUpdated" type="string" required>
        Date and time when the object was last updated
      </ResponseField>
    </Expandable>
  </ResponseField>

  ```json theme={null}
  {
    "record": {
      "id": "661c06b4ffde146bdb469442",
      "owner": [
        "sx6wyHhbFdRXh302Lunr"
      ],
      "followers": [
        "sx6wyHhbFdRXh302Lunr",
        "v5cEPM428h8vShlRW1KT"
      ],
      "properties": {
        "customer_number": 1424,
        "ticket_name": "Customer not able login",
        "phone_number": "+917000000000",
        "money": {
          "currency": "default",
          "value": 100
        },
        "type_of_ticket": "doubt",
        "section_of_app": [
          "contacts",
          "smartlist"
        ],
        "recieved_on": "2024-07-11",
        "my_files": [
          {
            "url": "---url_of_file---"
          }
        ],
        "my_textbox_list.option_a": "Value 1",
        "my_textbox_list.option_b": "Value 2"
      },
      "dateAdded": "2024-01-15T10:30:00Z",
      "dateUpdated": "2024-01-15T10:30:00Z"
    }
  }
  ```
</Accordion>

<Accordion title="400 - Bad Request">
  ```json theme={null}
  {}
  ```
</Accordion>

<Accordion title="401 - Unauthorized">
  ```json theme={null}
  {}
  ```
</Accordion>

## Ejemplo

<CodeGroup>
  ```bash cURL theme={null}
  curl -X POST 'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records' \
    -H 'Authorization: Bearer YOUR_TOKEN' \
    -H 'Version: 2021-07-28' \
    -H 'Content-Type: application/json' \
    -d '{}'
  ```

  ```javascript Node.js theme={null}
  const response = await fetch('https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records', {
    method: 'POST',
    headers: {
      Authorization: `Bearer ${process.env.LEADWAY_TOKEN}`,
      Version: '2021-07-28',
    },
  });
  const data = await response.json();
  ```

  ```python Python theme={null}
  import os, requests
  response = requests.request(
      'POST',
      'https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records',
      headers={
          'Authorization': f"Bearer {os.environ['LEADWAY_TOKEN']}",
          'Version': '2021-07-28',
      },
  )
  data = response.json()
  ```

  ```php PHP theme={null}
  <?php
  $ch = curl_init('https://services.leadconnectorhq.com/objects/YOUR_schemaKey/records');
  curl_setopt_array($ch, [
      CURLOPT_RETURNTRANSFER => true,
      CURLOPT_CUSTOMREQUEST => 'POST',
      CURLOPT_HTTPHEADER => [
          'Authorization: Bearer ' . getenv('LEADWAY_TOKEN'),
          'Version: 2021-07-28',
          'Content-Type: application/json',
      ],
      CURLOPT_POSTFIELDS => json_encode(None),
  ]);
  $data = json_decode(curl_exec($ch), true);
  ```
</CodeGroup>
